This folder contains the data corresponding to the paper
Multipartite Entanglement Distribution using a Central Quantum-Network Node
by Guus Avis, Filip Rozpędek and Stephanie Wehner.

It contains the results of simulations of the distribution of GHZ states in a symmetric star-shaped network, where the central node of the network is either a "factory node" or a "2-switch".
The factory node distributes GHZ states by preparing them locally and teleporting them to the end nodes, while the 2-switch assists the end nodes in creating Bell states between them, on which the end nodes then perform fusion operations to create the target GHZ state.
For more information, see the paper.

All data is all contained in the `data` folder, in the form of CSV files.
Each data set has a single varied parameter, and is contained by a subfolder indicating the name of that varied parameter.
Each subfolder also contains an info file that describes all the parameters used during the simulations that generated those data sets.
These parameters are also contained within the data sets themselves, but are included in the info files for extra accessibility and readability.

The scripts that were used to generate all the plots that are contained in the paper, can be found in the `plot` directory.
The files `plot.py`, `plot_fidelity.py` and `plot_rate.py` contain general plotting functionality and allow for the easy visualization of the data sets contained here.
Each of the other scripts generates a single figure from the paper.
These scripts should be run from the repository's root directory.

All simulations were performed using the quantum-network simulator NetSquid.
The code used to run the simulations is in the NetSquid-Factory code snippet, which can be found here:
<https://gitlab.com/softwarequtech/netsquid-snippets/netsquid-factory>.
Some of the paper figures (all the verification figures) can only be generated in case NetSquid-Factory is installed.
The reason for this, is that these figures also plot analytical results.
The code used to evaluate these analytical results is contained within the snippet.

We note that the snippet also contains the files `plot.py`, `plot_fidelity.py` and `plot_rate.py`.
They are contained in both repositories to make the visualization of the data as easy as possible.

The requirements listed in `requirements.txt` point for each package to the specific version used to generate the plots that went into the paper.
