import matplotlib.pyplot as plt
import pandas as pd
from plot import save_plot
from plot_fidelity import set_ax, plot_fidelity

df_plink_bi = pd.read_csv("data/p_link/bipartite.csv")
df_plink_fac = pd.read_csv("data/p_link/factory.csv")
df_pbsm_bi = pd.read_csv("data/p_bsm/bipartite.csv")
df_pbsm_fac = pd.read_csv("data/p_bsm/factory.csv")

plt.rcParams.update({
    "font.size": 19,
})
fig, axs = plt.subplots(2, figsize=(6, 8), sharey=True, sharex=False)

set_ax(df_plink_bi, axs[0])
set_ax(df_pbsm_bi, axs[1])

plot_fidelity(dataframe=df_plink_bi, name="2-switch", ax=axs[0])
plot_fidelity(dataframe=df_plink_fac, name="Factory", ax=axs[0])
axs[0].ticklabel_format(style="sci", scilimits=(-2, 2))
plot_fidelity(dataframe=df_pbsm_bi, name="2-switch", ax=axs[1])
plot_fidelity(dataframe=df_pbsm_fac, name="Factory", ax=axs[1])
fig.tight_layout()
axs[0].set_xticks([0.05 * i for i in range(5)])
axs[0].legend()

for ax in axs:
    ax.set_yticks([0.2 + 0.2 * i for i in range(5)])
# plt.ylim(0)
save_plot("comparison_fidelities_constant.png")
