import matplotlib.pyplot as plt
import pandas as pd
from plot_rate import plot_rate
from plot import save_plot
from plot_rate import set_ax as set_ax_rate
from plot_fidelity import set_ax as set_ax_fidelity
from plot_fidelity import plot_fidelity

df_factory = pd.read_csv("data/q_link/large_range/factory.csv")
df_bipartite = pd.read_csv("data/q_link/large_range/bipartite.csv")

plt.rcParams.update({
    "font.size": 19,
})
fig, axs = plt.subplots(2, figsize=(6, 8), sharex=True)

set_ax_rate(df_factory, axs[0])
set_ax_fidelity(df_factory, axs[1])

plot_rate(dataframe=df_bipartite, name="2-switch", ax=axs[0])
plot_rate(dataframe=df_factory, name="Factory", ax=axs[0])
axs[0].set_yticks([0.2 * i for i in range(6)])
axs[0].ticklabel_format(style="sci", scilimits=(-2, 2))
plot_fidelity(dataframe=df_bipartite, name="2-switch", ax=axs[1])
plot_fidelity(dataframe=df_factory, name="Factory", ax=axs[1])
axs[1].set_ylim(bottom=0.2)
axs[1].set_yticks([0.2 + 0.2 * i for i in range(5)])
fig.tight_layout()
axs[0].legend()
axs[0].set_xticks([0.25 * i for i in range(5)])
save_plot("comparison_large_range.png")
