import matplotlib.pyplot as plt
import pandas as pd
from plot import save_plot
from plot_fidelity import set_ax, plot_factory_fidelity_estimate, plot_factory_fidelity_bound, plot_max_mixed_line, \
    plot_fidelity

df = pd.read_csv("data/N/factory.csv")

plt.rcParams.update({
    "font.size": 12,
})
fig, ax = plt.subplots(1, figsize=(5, 4))

set_ax(df, ax)

plot_fidelity(dataframe=df, name="Simulation", ax=ax)
plot_factory_fidelity_estimate(dataframe=df, name="Leading Order", ax=ax)
plot_factory_fidelity_bound(df, name="Lower Bound", ax=ax)
plot_max_mixed_line(df, ax)
ax.set_ylim(bottom=0)
ax.ticklabel_format(style="sci", scilimits=(-2, 2))
fig.tight_layout()
ax.legend()
save_plot("verification_fidelity_N.png")
