import matplotlib.pyplot as plt
import pandas as pd
from plot import save_plot
from plot_fidelity import set_ax, plot_factory_fidelity_estimate, plot_factory_fidelity_bound, plot_fidelity

df_small_range = pd.read_csv("data/q_link/verification/factory_small_range.csv")

plt.rcParams.update({
    "font.size": 12,
})
fig, ax = plt.subplots(1, 1, figsize=(4, 3))

set_ax(df_small_range, ax)

plot_fidelity(dataframe=df_small_range, name="Simulation", ax=ax)
plot_factory_fidelity_estimate(dataframe=df_small_range, name="Leading Order", ax=ax)
plot_factory_fidelity_bound(df_small_range, name="Lower Bound", ax=ax)
ax.set_ylim(bottom=0.4)

fig.tight_layout()

ax.set_xlim(left=0)
# fig.subplots_adjust(bottom=0.5)
ax.legend()
ax.ticklabel_format(style="sci", scilimits=(-2, 2))
# axs[0].legend(loc="lower center")
save_plot("verification_in_main_text.png")
