import matplotlib.pyplot as plt
import pandas as pd
from plot_rate import plot_rate
from plot import save_plot
from plot_rate import set_ax as set_ax_rate, plot_factory_distribution_time_estimate

df = pd.read_csv("data/N/factory.csv")

plt.rcParams.update({
    "font.size": 12,
})
fig, ax = plt.subplots(1, 1, figsize=(5, 4))

set_ax_rate(df, ax)

plot_rate(dataframe=df, name="Simulation", ax=ax)
plot_factory_distribution_time_estimate(dataframe=df, name="Leading Order", ax=ax)
ax.set_ylim(0)
ax.ticklabel_format(style="sci", scilimits=(-2, 2))
fig.tight_layout()
ax.legend()
save_plot("verification_rate_N.png")
