import matplotlib.pyplot as plt
import pandas as pd
from plot_rate import plot_rate
from plot import save_plot
from plot_rate import set_ax as set_ax_rate, plot_factory_distribution_time_estimate

df_large_range = pd.read_csv("data/q_link/verification/factory_large_range.csv")
df_small_range = pd.read_csv("data/q_link/verification/factory_small_range.csv")

plt.rcParams.update({
    "font.size": 12,
})
fig, axs = plt.subplots(1, 2, figsize=(10, 4))

set_ax_rate(df_large_range, axs[0])
set_ax_rate(df_small_range, axs[1])

plot_rate(dataframe=df_large_range, name="Simulation", ax=axs[0])
plot_factory_distribution_time_estimate(dataframe=df_large_range, name="Leading Order", ax=axs[0])
axs[0].set_ylim(0)
axs[0].set_xlim(0)
axs[0].ticklabel_format(style="sci", scilimits=(-2, 2))
plot_rate(dataframe=df_small_range, name="Simulation", ax=axs[1])
plot_factory_distribution_time_estimate(dataframe=df_small_range, name="Leading Order", ax=axs[1])
axs[1].set_xlim(0)
axs[1].set_yticks([0.005 * i for i in range(7)])
axs[0].ticklabel_format(style="sci", scilimits=(-2, 2))
fig.tight_layout()
axs[0].legend()
save_plot("verification_rate_qlink.png")
